> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geo-endpoints-for-spatial-data-access.md).

# 空間データアクセス用のGeoエンドポイント

{% hint style="success" %}
GeoPardは、 <https://www.ogc.org/> 画像用のWMSやベクターデータ用のWFSなど、Open Geospatial Consortiumのデータ形式を使用しています。また、インポートとエクスポートにはシェープファイルも使用できます。エンジンは柔軟性に優れており、これらのデータ形式でインポートおよびエクスポートできます。衛星画像には、 [COG（Cloud Optimized GeoTIFF）](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
WMS/WFSリクエストを実行するには、Postmanをインストールする必要があります。
{% endhint %}

{% hint style="info" %}
すべてのリクエストには、HEADER "Authorization"（トークンを指定）またはURLパラメーター "geopardApiKey "（ユーザーのAPIキーを指定）を使用して署名する必要があります。
{% endhint %}

WMS APIエンドポイントは、"Field"、"FieldSatelliteImage"、"VectorAnalysisMap"、"RasterAnalysisMap"、"TopographyMap"、"SoilDataset"、"YieldDataset"エンティティの"geoMaps"属性に格納されています。 [GeoPard DataSchemeを確認してください。](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-data-schema.md)

WFS APIエンドポイントは、"Field"および"VectorAnalysisMap"エンティティの"boundaryUrl"、"zonesMapUrl"、"attributesUrl"に格納されています。

{% hint style="info" %}
より正確な画像を得るには、EPSG:3857ではなくEPSG:900913投影法を使用することをおすすめします。
{% endhint %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geo-endpoints-for-spatial-data-access.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
